---
title: GlobalEventHandlers.onmouseup
slug: Web/API/GlobalEventHandlers/onmouseup
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <code><strong>onmouseup</strong></code> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("mouseup")}} events.</p>

<p>The <code>mouseup</code> event fires when the user releases the mouse button.</p>

<div class="notecard note">
<p><strong>Note:</strong> The opposite of <code>onmouseup</code> is {{domxref("GlobalEventHandlers.onmousedown", "onmousedown")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>target</em>.onmouseup = <var>functionRef</var>;</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("MouseEvent")}} object as its sole argument.</p>

<h2 id="Example">Example</h2>

<p>In this example, a piece of "toast" hides when you click down with the mouse, and reappears when you release. It uses the {{domxref("GlobalEventHandlers.onmousedown", "onmousedown")}} and <code>onmouseup</code> event handlers.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;div class="container"&gt;
  &lt;div class="toaster"&gt;&lt;/div&gt;
  &lt;div class="toast"&gt;Hello world!&lt;/div&gt;
&lt;/div&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css">.container {
  position: absolute;
  left: 50%;
  bottom: 20px;
  transform: translate(-50%);
}

.toaster {
  width: 160px;
  height: 110px;
  background: #bbb;
  border-radius: 10px 10px 0 0;
}

.toast {
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: -1;
  width: 100px;
  height: 50px;
  padding: 10px;
  background: #ed9;
  border-radius: 10px 10px 0 0;
  transform: translate(-50%, -90px);
  transition: transform .3s;
}

.depressed {
  transform: translate(-50%, -50%);
}</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">function depress() {
  toast.classList.add('depressed');
}

function release() {
  toast.classList.remove('depressed');
}

const toaster = document.querySelector('.toaster');
const toast = document.querySelector('.toast');

toaster.onmousedown = depress;
document.onmouseup = release;</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 700, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-onmouseup','onmouseup')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.GlobalEventHandlers.onmouseup")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("mouseup")}} event</li>
</ul>
